QwtDialScaleDraw(3)

NAME
QwtDialScaleDraw -

SYNOPSIS

Inherits QwtRoundScaleDraw.

Detailed Description

A special scale draw made for QwtDial. See also:
    QwtDial, QwtCompass

Definition at line 29 of file qwt_dial.h.

  Public Member Functions
QwtDialScaleDraw (QwtDial *)
virtual QwtText label (double value) const
void setPenWidth (uint)
uint penWidth () const

Constructor & Destructor Documentation

  QwtDialScaleDraw::QwtDialScaleDraw (QwtDial * parent) [explicit]

Constructor

Parameters:
    parent Parent dial widget

Definition at line 91 of file qwt_dial.cpp.

Member Function Documentation

  QwtText QwtDialScaleDraw::label (double value) const [virtual]

Call QwtDial::scaleLabel of the parent dial widget.

Parameters:
    value Value to display

See also:
    QwtDial::scaleLabel

Reimplemented from QwtAbstractScaleDraw.

Definition at line 125 of file qwt_dial.cpp.

References QwtAbstractScaleDraw::label(), and QwtDial::scaleLabel().

  uint QwtDialScaleDraw::penWidth () const

Returns:
    Pen width used for painting the scale

See also:
    setPenWidth, QwtDial::drawScale()

Definition at line 113 of file qwt_dial.cpp.

  void QwtDialScaleDraw::setPenWidth (uint penWidth)

Set the pen width used for painting the scale

Parameters:
    penWidth Pen width

See also:
    penWidth(), QwtDial::drawScale()

Definition at line 104 of file qwt_dial.cpp.

Referenced by QwtDial::setScaleTicks().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.